From: "Teresa Gámez" <t.gamez@phytec.de>
To: barebox@lists.infradead.org
Subject: [PATCHv2] defaultenv-2: Add bootargs for booting from disk
Date: Wed, 25 Jul 2012 16:42:05 +0200 [thread overview]
Message-ID: <1343227325-28925-1-git-send-email-t.gamez@phytec.de> (raw)
Add support in defaultenv-2 for booting from disk (SD-Card, USB-Stick).
Signed-off-by: Teresa Gámez <t.gamez@phytec.de>
---
Fixed since v1:
- spell fix
- added return value on failure
defaultenv-2/base/bin/bootargs-root-disk | 26 ++++++++++++++++++++++++++
1 files changed, 26 insertions(+), 0 deletions(-)
create mode 100644 defaultenv-2/base/bin/bootargs-root-disk
diff --git a/defaultenv-2/base/bin/bootargs-root-disk b/defaultenv-2/base/bin/bootargs-root-disk
new file mode 100644
index 0000000..df8750e
--- /dev/null
+++ b/defaultenv-2/base/bin/bootargs-root-disk
@@ -0,0 +1,26 @@
+#!/bin/sh
+
+usage="$0 [OPTIONS]\n -p <partition>\n -t <fstype>"
+
+while getopt "p:t:h" opt; do
+ if [ ${opt} = p ]; then
+ part=${OPTARG}
+ elif [ ${opt} = t ]; then
+ fstype=${OPTARG}
+ elif [ ${opt} = h ]; then
+ echo -e "$usage"
+ exit 0
+ fi
+done
+
+if [ -z "${part}" ]; then
+ echo "$0: no partition given"
+ exit 1
+fi
+
+if [ -z "${fstype}" ]; then
+ echo "$0: no filesystem type given"
+ exit 1
+fi
+
+global.linux.bootargs.root="root=/dev/$part rootfstype=$fstype rootwait"
--
1.7.0.4
_______________________________________________
barebox mailing list
barebox@lists.infradead.org
http://lists.infradead.org/mailman/listinfo/barebox
next reply other threads:[~2012-07-25 14:43 UTC|newest]
Thread overview: 2+ messages / expand[flat|nested] mbox.gz Atom feed top
2012-07-25 14:42 Teresa Gámez [this message]
2012-07-26 10:43 ` Sascha Hauer
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1343227325-28925-1-git-send-email-t.gamez@phytec.de \
--to=t.gamez@phytec.de \
--cc=barebox@lists.infradead.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox